For the complete documentation index, see llms.txt. This page is also available as Markdown.

Sms

Get all SMS

get

Following Query Parameters can be used to sort or find approporiately

We can use any combination of this parameters in single request: Example: {{url}}/{{tenantName}}/{{instanceName}}/patients/{{patientId}}/sms?status=DELIVERED,FAILED&phone=+15625345678&starred=true

Authorizations
AuthorizationstringRequired

Bearer token obtained from POST /{tenantName}/admin/api_clients/{clientName}. Valid for 60 minutes.

Path parameters
tenantNamestringRequired

Your organization (tenant) name, e.g. acme-health

Example: acme-health
instanceNamestringRequired

Your environment name: live, sandbox, or a custom name

Example: live
patientIdstring · uuidRequired

UUID of the patient record

Query parameters
sizeintegerOptional

When specified, size per page

Default: 20Example: 100
phonestringOptional

When specified, search by 'to' or 'from' phone

Example: %2B14084757104
statusstringOptional

When specified, search by status [SCHEDULED, ACCEPTED, SENT, RECEIVED, DELIVERED, UNDELIVERED, FAILED, UNRECOGNISED]

Example: ACCEPTED,SENT
pageintegerOptional

When specified, page number

Default: 0Example: 0
sortstringOptional

Allows one to specify the sort order of the returned sms collection

Example: date%2CDESC
searchstringOptional

When specified, will execute a search based on message field

senderstringOptional

When specified, search by sender id

receiverstringOptional

When specified, search by receiver id

directionstringOptional

When specified, search by direction (IN or OUT)

starredbooleanOptional

When specified, search by starred (boolean value) field (as an important sms)

fromstringOptional

When specified, search by 'from' phone

tostringOptional

When specified, search by 'to' phone

senderNamestringOptional

When specified, search by sender name

receiverNamestringOptional

When specified, search by receiver name

Responses
200

Paginated list of SMS messages

application/json

Standard paginated response wrapper.

totalElementsintegerOptional

Total number of matching records

totalPagesintegerOptional

Total number of pages

lastbooleanOptional
firstbooleanOptional
numberintegerOptional

Current page number (zero-based)

sizeintegerOptional

Page size

numberOfElementsintegerOptional

Number of elements on the current page

emptybooleanOptional
get/{tenantName}/{instanceName}/patients/{patientId}/sms
GET /{tenantName}/{instanceName}/patients/{patientId}/sms HTTP/1.1
Host: api.live.welkincloud.io
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "content": [
    {
      "id": "123e4567-e89b-12d3-a456-426614174000",
      "createdAt": "2026-01-01T00:00:00.000Z",
      "updatedAt": "2026-01-01T00:00:00.000Z",
      "createdBy": "123e4567-e89b-12d3-a456-426614174000",
      "updatedBy": "123e4567-e89b-12d3-a456-426614174000",
      "createdByName": "text",
      "updatedByName": "text",
      "sendNow": true,
      "sentAt": "2026-01-01T00:00:00.000Z",
      "receivedAt": "2026-01-01T00:00:00.000Z",
      "deletedAt": "2026-01-01T00:00:00.000Z",
      "date": "2026-01-01T00:00:00.000Z",
      "careTeam": "text",
      "patientInfo": "text",
      "sender": "123e4567-e89b-12d3-a456-426614174000",
      "senderType": "CS_TOOL_CLIENT",
      "senderName": "text",
      "from": "text",
      "receiver": "123e4567-e89b-12d3-a456-426614174000",
      "receiverType": "CS_TOOL_CLIENT",
      "receiverName": "text",
      "to": "text",
      "direction": "OUT",
      "externalId": "text",
      "starred": true,
      "errorMessage": "text",
      "assignedBy": "123e4567-e89b-12d3-a456-426614174000",
      "assignedByName": "text",
      "hasHistory": true,
      "unrecognized": true,
      "message": "text",
      "parts": 1,
      "status": "SCHEDULED",
      "messageType": "CARE_TEAM",
      "phoneId": "123e4567-e89b-12d3-a456-426614174000",
      "attachments": [
        {
          "id": "123e4567-e89b-12d3-a456-426614174000",
          "originalName": "text",
          "size": 1,
          "contentType": "text",
          "storageKey": "text"
        }
      ],
      "attachmentsFromTemplate": [
        {
          "id": "123e4567-e89b-12d3-a456-426614174000",
          "originalName": "text",
          "size": 1,
          "contentType": "text",
          "storageKey": "text"
        }
      ],
      "skipEvent": true
    }
  ],
  "pageable": {
    "sort": {
      "sorted": true,
      "unsorted": true,
      "empty": true
    },
    "pageSize": 1,
    "pageNumber": 1,
    "offset": 1,
    "unpaged": true,
    "paged": true
  },
  "totalElements": 1,
  "totalPages": 1,
  "last": true,
  "first": true,
  "number": 1,
  "size": 1,
  "numberOfElements": 1,
  "empty": true,
  "sort": {
    "sorted": true,
    "unsorted": true,
    "empty": true
  }
}

Get SMS by ID

get

{{url}} / {{tenantName}} / {{instanceName}} / patients / {{patientId}} / sms / {{uuid}}

Authorizations
AuthorizationstringRequired

Bearer token obtained from POST /{tenantName}/admin/api_clients/{clientName}. Valid for 60 minutes.

Path parameters
tenantNamestringRequired

Your organization (tenant) name, e.g. acme-health

Example: acme-health
instanceNamestringRequired

Your environment name: live, sandbox, or a custom name

Example: live
patientIdstring · uuidRequired

UUID of the patient record

uuidstring · uuidRequired

UUID of the resource

Responses
200

SMS record

application/json
idstring · uuidRead-onlyOptional
createdAtstring · date-timeRead-onlyOptional
updatedAtstring · date-timeRead-onlyOptional
createdBystring · uuidRead-onlyOptional
updatedBystring · uuidRead-onlyOptional
createdByNamestringRead-onlyOptional
updatedByNamestringRead-onlyOptional
sendNowbooleanOptional
sentAtstring · date-time · nullableOptional
receivedAtstring · date-time · nullableOptional
deletedAtstring · date-time · nullableOptional
datestring · date-time · nullableOptional
careTeamstring · nullableOptional
patientInfostring · nullableOptional
senderstring · uuidRequired
senderTypestring · enumOptionalPossible values:
senderNamestring · nullableOptional
fromstring · nullableOptional
receiverstring · uuid · nullableOptional
receiverTypestring · enumOptionalPossible values:
receiverNamestring · nullableOptional
tostring · nullableOptional
directionstring · enumOptionalPossible values:
externalIdstring · nullableOptional
starredbooleanOptional
errorMessagestring · nullableOptional
assignedBystring · uuid · nullableRead-onlyOptional
assignedByNamestring · nullableRead-onlyOptional
hasHistorybooleanRead-onlyOptional
unrecognizedbooleanRead-onlyOptional
messagestring · max: 1600Required
partsintegerRead-onlyOptional
statusstring · enumOptionalPossible values:
messageTypestring · enumOptionalDefault: CARE_TEAMPossible values:
phoneIdstring · uuidOptional
skipEventbooleanOptional
get/{tenantName}/{instanceName}/patients/{patientId}/sms/{uuid}
GET /{tenantName}/{instanceName}/patients/{patientId}/sms/{uuid} HTTP/1.1
Host: api.live.welkincloud.io
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "id": "123e4567-e89b-12d3-a456-426614174000",
  "createdAt": "2026-01-01T00:00:00.000Z",
  "updatedAt": "2026-01-01T00:00:00.000Z",
  "createdBy": "123e4567-e89b-12d3-a456-426614174000",
  "updatedBy": "123e4567-e89b-12d3-a456-426614174000",
  "createdByName": "text",
  "updatedByName": "text",
  "sendNow": true,
  "sentAt": "2026-01-01T00:00:00.000Z",
  "receivedAt": "2026-01-01T00:00:00.000Z",
  "deletedAt": "2026-01-01T00:00:00.000Z",
  "date": "2026-01-01T00:00:00.000Z",
  "careTeam": "text",
  "patientInfo": "text",
  "sender": "123e4567-e89b-12d3-a456-426614174000",
  "senderType": "CS_TOOL_CLIENT",
  "senderName": "text",
  "from": "text",
  "receiver": "123e4567-e89b-12d3-a456-426614174000",
  "receiverType": "CS_TOOL_CLIENT",
  "receiverName": "text",
  "to": "text",
  "direction": "OUT",
  "externalId": "text",
  "starred": true,
  "errorMessage": "text",
  "assignedBy": "123e4567-e89b-12d3-a456-426614174000",
  "assignedByName": "text",
  "hasHistory": true,
  "unrecognized": true,
  "message": "text",
  "parts": 1,
  "status": "SCHEDULED",
  "messageType": "CARE_TEAM",
  "phoneId": "123e4567-e89b-12d3-a456-426614174000",
  "attachments": [
    {
      "id": "123e4567-e89b-12d3-a456-426614174000",
      "originalName": "text",
      "size": 1,
      "contentType": "text",
      "storageKey": "text"
    }
  ],
  "attachmentsFromTemplate": [
    {
      "id": "123e4567-e89b-12d3-a456-426614174000",
      "originalName": "text",
      "size": 1,
      "contentType": "text",
      "storageKey": "text"
    }
  ],
  "skipEvent": true
}

Download sms attachment

get

Request to receive sms attachment.

smsId - SMS ID

fileId - file id to be taken from the attachments block

Authorizations
AuthorizationstringRequired

Bearer token obtained from POST /{tenantName}/admin/api_clients/{clientName}. Valid for 60 minutes.

Path parameters
tenantNamestringRequired

Your organization (tenant) name, e.g. acme-health

Example: acme-health
instanceNamestringRequired

Your environment name: live, sandbox, or a custom name

Example: live
patientIdstring · uuidRequired

UUID of the patient record

smsIdstring · uuidRequired

smsId path parameter

fileIdstring · uuidRequired

UUID of the uploaded file

Responses
200

Binary attachment file.

No content

get/{tenantName}/{instanceName}/patients/{patientId}/sms/{smsId}/attachments/{fileId}
GET /{tenantName}/{instanceName}/patients/{patientId}/sms/{smsId}/attachments/{fileId} HTTP/1.1
Host: api.live.welkincloud.io
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*

No content

Last updated

Was this helpful?